# $Revision: 1.29 $, $Date: 2007-09-05 13:50:01 $
Summary:	Decompressor for .arj format archives
Summary(de.UTF-8):	Dekomprimierer für .arj-Archive
Summary(es.UTF-8):	Descompresor para archivos en formato .arj
Summary(fr.UTF-8):	Décompresseur pour les archives .arj
Summary(pl.UTF-8):	Program rozpakowujący archiwa ARJ
Summary(pt_BR.UTF-8):	Descompactador para arquivos no formato .arj
Summary(ru.UTF-8):	Декомпрессор для архивных файлов формата .arj
Summary(tr.UTF-8):	ARJ biçimindeki arşivleri açan araç
Summary(uk.UTF-8):	Декомпресор для архівних файлів формату .arj
Name:		unarj
Version:	2.63a
Release:	4
License:	distributable
Group:		Applications/Archiving
Source0:	ftp://sunsite.unc.edu/pub/Linux/utils/compress/%{name}-%{version}.tar.gz
# Source0-md5:	a83d139c245f911f22cb1b611ec9768f
Patch0:		%{name}-opt.patch
Patch1:		%{name}-overflow.patch
Patch2:		%{name}-path.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The unarj program is used to uncompress .arj format archives, which
were somewhat popular on DOS based machines.

%description -l de.UTF-8
Das Programm 'unarj' dient zum Dekomprimieren von Archiven im
.arj-Format, das auf DOS-Rechnern einigermaßen beliebt ware.

%description -l es.UTF-8
El programa unarj se usa para descomprimir almacenajes en formato
.arj, que era algo popular en máquinas DOS.

%description -l fr.UTF-8
Le programme unarj est utilisé pour décompresser des archives au
format .arj, qui ont été très répandeus sur les systèmes DOS.

%description -l pl.UTF-8
Program unarj umożliwa rozpakowanie archiwów w formacie ARJ,
popularnym w systemach opartych o DOS.

%description -l pt_BR.UTF-8
O programa unarj é usado para descomprimir armazenagens em formato
.arj, que era algo popular em máquinas DOS.

%description -l ru.UTF-8
Программа unarj используется для декомпрессии архивов формата .arj,
популярного преимущественно в мире DOS.

%description -l tr.UTF-8
unarj, arj biçimindeki arşivler için açma programıdır. ARJ, DOS
tabanlı makinelerde sıkça kullanılan bir sıkıştırma biçimidir.

%description -l uk.UTF-8
Програма unarj використовується для декомпресії архівів формату .arj,
популярного переважно в світі DOS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="-Wall -ansi -pedantic -DUNIX %{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install unarj $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc technote.txt unarj.txt
%attr(755,root,root) %{_bindir}/unarj

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: unarj.spec,v $
Revision 1.29  2007-09-05 13:50:01  baggins
- rel 4

Revision 1.28  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.27  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.26  2004/11/29 20:29:59  undefine
- patches from fedora to fix:
  CAN-2004-0947 unarj-overflow.patch
  CAN-2004-1027 unarj-path.patch
- release 3

Revision 1.25  2004/11/26 11:35:04  qboosh
- security note

Revision 1.24  2004/11/25 15:37:01  qboosh
- CC fix, preamble unification

Revision 1.23  2004/08/09 18:44:01  arekm
- rel 2

Revision 1.22  2003/05/27 12:19:10  trojan
- added Source-md5

Revision 1.21  2003/05/25 06:27:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2002/07/07 18:42:04  qboosh
- updated to 2.63a, removed obsolete subdir patch

Revision 1.19  2002/05/25 22:46:06  qboosh
- new %%doc

Revision 1.18  2002/05/25 12:05:32  kloczek
- release 11,
- merge subdir patch from rawhide for subdirectory creation for the x command,
- merge translations from KSI,
- make clean before start building unarj (dist tar ball contain x86 binaries).

Revision 1.17  2002/05/12 20:14:28  ankry
- Caps in description

Revision 1.16  2002/02/22 23:29:50  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/01/18 02:15:15  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/08/21 18:42:21  qboosh
- fixed %%prep, s/Copyright/License/

Revision 1.13  2001/08/19 22:51:10  kloczek
- updated to 2.43 (release 9),
- merged translations from CNV.

Revision 1.12  2001/05/03 01:14:04  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.11  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.10  2000/04/01 11:15:44  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.8  1999/07/12 23:06:16  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu Feb 25 1999 Maciej Leśniewski <nimir@kis.p.lodz.pl>
  [2.41a-10]
- fixed gziped docs.

* Thu Feb 10 1999 Michał Kuratczyk <kurkens@polbox.com>
  [2.41a-9]
- added Group(pl)
- sloted BuildRoot into PLD standard
- added gzipping man page

* Wed Nov 13 1998 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [2.41a-8]
- fixed passing $RPM_OPT_FLAGS flags.

* Wed Jun 17 1998 Wojtek Ślusarczyk <wojtek@shadow.eu.org>
- added pl translation,
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- added using %%{name} and %%{version} in Source,
- added using $RPM_OPT_FLAGS during compile,
- added %attr and %defattr macros in %files (allows build package from
  non-root account).

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 22 1997 Otto Hammersmith <otto@redhat.com>
- fixed src url

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
